using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Xml.Serialization;

namespace NewRock.Sdk.Transfer.Connect.Request
{
    [XmlRoot("Transfer")]
    public class OuterToMenuRequest:INewRockRequest
    {
        [XmlAttribute("attribute")]
        public string Attribute { get; set; }

        [XmlElement("outer")]
        public OuterToMenuOuter Outer { get; set; }

        [XmlElement("menu")]
        public OuterToMenuMenu Menu { get; set; }

        [XmlElement("voicefile")]
        public string VoiceFile { get; set; }
    }

    public class OuterToMenuOuter
    {
        [XmlAttribute("id")]
        public string Id { get; set; }
    }

    public class OuterToMenuMenu
    {
        [XmlAttribute("id")]
        public string Id { get; set; }
    }
}
